Subject: bug#36649: 27.0.50; pure space and pdumper

From: Robert Pluim <[email-masked]>
Date: Sun, 21 Jul 2019 19:56:42 +0200

>>>>> On Sun, 21 Jul 2019 17:43:05 +0000, Pip Cet <[email-masked]> said:

    Pip> On Sun, Jul 21, 2019 at 3:06 PM Robert Pluim <[email-masked]> wrote:
    >> Hmm, it crashed the first time I ran make, then I got distracted, so I
    >> ran make again later, and this time it built:
    >> 
    >> make[2]: Nothing to be done for `all'.
    >> ELC      char-fold.elc
    >> freeing symbol def-tmp-var

    Pip> Hmm. So it worked with the second patch, but only when you reran make?
    Pip> That's strange. Looking at the crash backtrace again, it seems that
    Pip> this is the initial garbage collection, when everything should be
    Pip> pristine. I still think it dies while marking the obarray, upon
    Pip> encountering a symbol which has somehow become corrupted...

OK. How do we go about detecting which symbol that is?

Robert